Having rebuilt my Stretch OS deploy, and not done an apt-get upgrade/update. The process of installing the dependencies has worked. However, compilation of ArduiPi_OLED fails because ld can't find -li2c Others reporting the issue on GitHub have used the debian .deb file for libi2c0 but this causes all my i2c applications (i2ctools) to fail with invalid instruction. Where should I be installing the library for i2c from? libi2c-dev and i2ctools are successfully installed.